Skip to main content

Create a recurring resident charge

POSThttps://api.propexo.com/v1/recurring-resident-charges/

Create a recurring resident charge for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    lease_idstring

    The Propexo unique identifier for the lease

    resident_idstring

    The Propexo unique identifier for the resident

    charge_code_idstring

    The Propexo unique identifier for the charge code

    amount_in_centsinteger

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    start_datestring

    The start date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstring

    Description of the recurring resident charge

    end_datestring

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    month_to_month_amount_in_centsinteger

    The month-to-month amount for the recurring charge in cents

    Possible values: > 0

    month_to_month_fee_in_centsinteger

    The month-to-month fee for the recurring charge in cents

    Possible values: > 0

    last_posted_datestring

    The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    charge_timing_idstring

    The propexo charge timing ID that defines when the charge should be applied

    charge_code_type_idstring

    The propexo charge code type ID

    financial_account_idstring

    The Propexo unique identifier for the financial account

    is_activeboolean

    Whether the recurring resident charge is active

    charge_due_dayinteger

    The day of the month the charge is due. When frequency_normalized is set to 'WEEKLY', the charge_due_day must be between 1 and 7

    Possible values: >= 1 and <= 31

    frequency_normalizedstring

    The frequency of the recurring resident charge

    Show 3 enum values
    DAILYMONTHLYWEEKLY
    reference_numberstring

    The reference number for the recurring resident charge

    day_dueinteger

    The day of the month the charge is due

    Possible values: > 0 and <= 31

    frequency_rawinteger

    The raw value of the frequency of the recurring resident charge (in months)

    Possible values: > 0 and <= 24

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/recurring-resident-charges/
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}